This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 67624 - init script kills all running sshd's if listening server is stopped
init script kills all running sshd's if listening server is stopped
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-28 10:16 EDT by Dominic Hargreaves
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 08:44:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominic Hargreaves 2002-06-28 10:16:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020412
Debian/1.2.0-6

Description of problem:
The init script /etc/init.d/sshd uses the function killproc from
/etc/rc.d/init.d/functions. This falls back to using the pidof command to get
PIDs for the daemon, if /var/run/[service].pid does not exist. This means that
if the ssh server is already stopped, instead of failing with "ssh server is not
running" or something similiar, it kills all other running sshd's, which,
obviously, kills everyone's connections to the server. This has a high inpact
if the server is remote and there is no easy console access.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Log on via ssh
2.run /etc/init.d/sshd stop
3.run /etc/init.d/sshd stop again.
	

Actual Results:  All ssh connections to the server were closed.

Expected Results:  It should have returned with a failure to find a process to kill.

Additional info:
Comment 1 Brian Brock 2002-07-02 13:21:39 EDT
which version of openssh is installed (and showing the error)?
Comment 2 Dominic Hargreaves 2002-07-08 09:06:47 EDT
openssh-3.1p1-5 -- the most recent security update.
Comment 3 Tomas Mraz 2005-02-03 10:17:35 EST
I have patch for this.

Note You need to log in before you can comment on or make changes to this bug.